module.exports = (db, DataTypes) => {
  return db.define("ecompanycontract", {
    remarkName: DataTypes.STRING(50),
    contractNo: DataTypes.STRING(50),
    epartner_id: DataTypes.INTEGER,
    user_id: DataTypes.INTEGER,
    nameUrl: DataTypes.STRING(300),
  },{
     paranoid: true,//假的删除
     underscored: true,
     version: true,
     freezeTableName: true,
     //freezeTableName: true,
     // define the table's name
     tableName: 'c_ecompany_contract',
     validate: {
     }
  });
}
